%define ver     2.0.3

Summary: 	LSB Build environment
Name: 		lsb-build-chroot
Version: 	%ver
Release: 	1mdk
License: 	BSD
Group: 		Development/C
Source: 	ftp://ftp.freestandards.org/pub/lsb/lsbdev/lsb-build-chroot-%ver.tar.bz2
Patch0:         lsb-build-chroot-fhs.patch.bz2
Patch1:         lsb-build-chroot-init.patch.bz2
Patch2:         lsb-build-chroot-sysrpm.patch.bz2
URL:            http://www.linuxbase.org/build
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	lsb-build-base
Obsoletes: 	lsbdev-chroot
Provides:	lsbdev-chroot
PreReq:         lsb >= 2.0 rpm-helper
BuildArch:	noarch

%description

The LSB Build environment is a tool to make it easier to generate LSB
compliant binaries.

%prep
%setup -q
%patch0 -p1 -b .fhs
%patch1 -p1 -b .rpmlint
%patch2 -p1 -b .sysrpm

%build
cd build_env/lsbdev-chroot && make LSBVERSION=${RPM_PACKAGE_VERSION}  INSTALL_ROOT=%{_prefix} OVERRIDE_ROOT=$RPM_BUILD_ROOT CHROOT_ROOT=%{_localstatedir}/lsb-build-chroot/root CHROOT_DATA_DIR=%{_localstatedir}/lsb-build-chroot

%install
rm -rf $RPM_BUILD_ROOT
cd build_env/lsbdev-chroot && make install INSTALL_ROOT=%{_prefix} OVERRIDE_ROOT=$RPM_BUILD_ROOT CHROOT_ROOT=%{_localstatedir}/lsb-build-chroot/root CHROOT_DATA_DIR=%{_localstatedir}/lsb-build-chroot

# (sb) mixed bag of lsbdev lsb-build naming - make rpmlint happy
mv $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/lsbdev-chroot $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/lsb-build-chroot

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build_env/lsbdev-chroot/{INSTALL,README}
%config(noreplace) %{_sysconfdir}/init.d/lsb-build-chroot
%dir %{_sysconfdir}/lsbdev-chroot
%config(noreplace) %{_sysconfdir}/lsbdev-chroot/*
%{_localstatedir}/lsb-build-chroot
%{_sbindir}/lsb*

%changelog
* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.3-1mdk
- First Mandrakelinux packaging, move from /opt (patch0)
- Fix tags, add URL
- fix init script for rpmlint (patch1)
- use system rpm in conf file since lsb-rpm isn't available (patch2)

* Wed Jul 30 2003 Chris Yeoh <cyeoh@samba.org>
- Mods for cvs reorg

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

